summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorWouter Coekaerts <coekie@irssi.org>2010-02-22 19:50:54 +0000
committercoekie <coekie@dbcabf3a-b0e7-0310-adc4-f8d773084564>2010-02-22 19:50:54 +0000
commit63c2c081572768fe4d10fba5348454acc46bfe4a (patch)
tree146270c3bf9517b894fe1578ace1cfad8d6d8fa8 /autogen.sh
parentdae9a763127f94775a41816c21066df263e3e2a4 (diff)
downloadirssi-63c2c081572768fe4d10fba5348454acc46bfe4a.zip
Make autogen fail if there is no lynx or links installed
git-svn-id: file:///var/www/svn.irssi.org/SVN/irssi/trunk@5118 dbcabf3a-b0e7-0310-adc4-f8d773084564
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 96b9f0f9..f0286239 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -41,7 +41,8 @@ if type lynx >/dev/null 2>&1 ; then
elif type elinks >/dev/null 2>&1 ; then
elinks -dump docs/faq.html|perl -pe 's/^ *//; if ($_ eq "\n" && $state eq "Q") { $_ = ""; } elsif (/^([QA]):/) { $state = $1 } elsif ($_ ne "\n") { $_ = " $_"; };' > docs/faq.txt
else
- echo No lynx or links present
+ echo "**Error**: No lynx or links present"
+ exit 1
fi
if test x$NOCONFIGURE = x && test -z "$*"; then